import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AppAuthGuard } from './guards/auth.guard';

const routes: Routes = [
  { path: '', redirectTo: '/messenger', pathMatch: 'full' },
  {
    path: 'messenger',
    loadChildren: () =>
      import('./pages/messenger/messenger.page.module').then(
        m => m.AppMessengerPageModule
      ),
    canActivate: [AppAuthGuard]
  },
  {
    path: 'account',
    loadChildren: () =>
      import('./pages/account/account.page.module').then(
        m => m.AppAccountPageModule
      )
  }
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { useHash: true, enableTracing: false })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
